BufferCapabilities.FlipContents (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.awt, class: BufferCapabilities, class: FlipContents
Keywords: java.awt.BufferCapabilities.FlipContents class

# Class BufferCapabilities.FlipContents

java.lang.Object
java.awt.BufferCapabilities.FlipContents

Enclosing class:
  `BufferCapabilities`

public static final class BufferCapabilities.FlipContents extends Object
A type-safe enumeration of the possible back buffer contents after page-flipping

Since:
  1.4

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final BufferCapabilities.FlipContents`
  `BACKGROUND`
  When flip contents are `BACKGROUND`, the contents of the back buffer are cleared with the background color after flipping.
  `static final BufferCapabilities.FlipContents`
  `COPIED`
  When flip contents are `COPIED`, the contents of the back buffer are copied to the front buffer when flipping.
  `static final BufferCapabilities.FlipContents`
  `PRIOR`
  When flip contents are `PRIOR`, the contents of the back buffer are the prior contents of the front buffer (a true page flip).
  `static final BufferCapabilities.FlipContents`
  `UNDEFINED`
  When flip contents are `UNDEFINED`, the contents of the back buffer are undefined after flipping.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### UNDEFINED

    public static final BufferCapabilities.FlipContents UNDEFINED
    When flip contents are `UNDEFINED`, the contents of the back buffer are undefined after flipping.
    See Also:
      - `BufferCapabilities.isPageFlipping()`
      - `BufferCapabilities.getFlipContents()`
      - `BACKGROUND`
      - `PRIOR`
      - `COPIED`

  - ### BACKGROUND

    public static final BufferCapabilities.FlipContents BACKGROUND
    When flip contents are `BACKGROUND`, the contents of the back buffer are cleared with the background color after flipping.
    See Also:
      - `BufferCapabilities.isPageFlipping()`
      - `BufferCapabilities.getFlipContents()`
      - `UNDEFINED`
      - `PRIOR`
      - `COPIED`

  - ### PRIOR

    public static final BufferCapabilities.FlipContents PRIOR
    When flip contents are `PRIOR`, the contents of the back buffer are the prior contents of the front buffer (a true page flip).
    See Also:
      - `BufferCapabilities.isPageFlipping()`
      - `BufferCapabilities.getFlipContents()`
      - `UNDEFINED`
      - `BACKGROUND`
      - `COPIED`

  - ### COPIED

    public static final BufferCapabilities.FlipContents COPIED
    When flip contents are `COPIED`, the contents of the back buffer are copied to the front buffer when flipping.
    See Also:
      - `BufferCapabilities.isPageFlipping()`
      - `BufferCapabilities.getFlipContents()`
      - `UNDEFINED`
      - `BACKGROUND`
      - `PRIOR`

- ## Method Details

  - ### hashCode

    public int hashCode()
    Description copied from class: `Object`
    Returns a hash code value for this object. This method is supported for the benefit of hash tables such as those provided by `HashMap`.

    The general contract of `hashCode` is:

    - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
    - If two objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
    - It is not required that if two objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hash tables.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code value for this object
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(Object)`

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. Satisfying this method's contract implies a non-`null` result must be returned.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the object